VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} frmVfcMain 
   Caption         =   "VBAVB Form Converter"
   ClientHeight    =   4815
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   3855
   OleObjectBlob   =   "frmVfcMain.frx":0000
   StartUpPosition =   1  'CenterOwner
   Tag             =   "VFC"
End
Attribute VB_Name = "frmVfcMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Public Property Get SelectedProjectIndex() As Long
  If lstVBProjects.ListIndex > -1 Then
    SelectedProjectIndex = CLng(lstVBProjects.Text)
  End If
End Property

Public Property Get SelectedProjectFilename() As String
  If lstVBProjects.ListIndex > -1 Then
    SelectedProjectFilename = lstVBProjects.List(lstVBProjects.ListIndex, 2)
  End If
End Property

Public Property Get SelectedFormIndex() As Long
  If lstMSForms.ListIndex > -1 Then
    SelectedFormIndex = CLng(lstMSForms.Text)
  End If
End Property

Public Property Get IncludeCode() As Boolean
  IncludeCode = (chkIncludeCode.Value = True)
End Property

Public Property Get ShowUnknown() As Boolean
  ShowUnknown = (chkShowUnknown.Value = True)
End Property

Private Sub cmdCancel_Click()
  Unload Me
End Sub

Private Sub cmdConvert_Click()
  cmdCancel.Caption = "Exit"
  Call ProcessForm(True)
End Sub

Private Sub lstMSForms_Click()
  If lstMSForms.ListIndex > -1 Then
    cmdConvert.Enabled = True
  End If
End Sub

Private Sub lstVBProjects_Click()
  Dim objProj As VBIDE.VBProject
  Dim intIndex As Integer
  
  If lstVBProjects.ListIndex > -1 Then
    Set objProj = Application.VBE.VBProjects(Me.SelectedProjectIndex)
    cmdConvert.Enabled = False
    lstMSForms.Clear
    lstMSForms.ColumnCount = 2
    lstMSForms.ColumnWidths = "20 pt;90 pt"
    For intIndex = 1 To objProj.VBComponents.Count
      If objProj.VBComponents(intIndex).Type = vbext_ct_MSForm Then
        If objProj.VBComponents(intIndex).Name <> "frmVfcMain" Then
          lstMSForms.AddItem CStr(intIndex)
          lstMSForms.List(lstMSForms.ListCount - 1, 1) = objProj.VBComponents(intIndex).Name
        End If
      End If
    Next intIndex
  End If
  
  Set objProj = Nothing
End Sub

Private Sub UserForm_Activate()
  Dim objProjs As VBProjects
  Dim objProj As VBProject
  Dim intIndex As Integer
  Dim strTemp As String
  
  On Error GoTo ErrorHandler
  
  'Load up list box with VBProjects
  Set objProjs = Application.VBE.VBProjects
  cmdConvert.Enabled = False
  lstMSForms.Clear
  lstVBProjects.Clear
  lstVBProjects.ColumnCount = 3
  lstVBProjects.ColumnWidths = "20 pt;90 pt;400 pt"
  For intIndex = 1 To objProjs.Count
    Set objProj = objProjs(intIndex)
    lstVBProjects.AddItem CStr(intIndex)
    lstVBProjects.List(intIndex - 1, 1) = objProj.Name
    lstVBProjects.List(intIndex - 1, 2) = objProj.FileName
  Next intIndex
  
SubExit:
  Set objProj = Nothing
  Set objProjs = Nothing
  Exit Sub
ErrorHandler:
  Select Case Err.Number
    Case 76 'Path not found
      strTemp = "VFC can only work with SAVED projects," & vbCrLf & _
                "please save all newly created projects" & vbCrLf & _
                "and start again."
      Call MsgBox(strTemp, vbCritical, ccAPPNAME)
    Case Else 'Huh??
      strTemp = ccAPPNAME & " ERROR" & vbCrLf & _
                "VFC_001: Error in UserForm_Activate" & vbCrLf & _
                "Description: " & Err.Description & vbCrLf & _
                "Source: " & Err.Source & vbCrLf & _
                "Number: " & CStr(Err.Number) & vbCrLf & _
                "VFC Ver: " & ccAPPVER
      Call MsgBox(strTemp, vbCritical, ccAPPNAME)
  End Select
  Unload Me
  Resume SubExit
End Sub

Private Sub UserForm_Terminate()
  Debug.Print "UserForm_Terminate frmVfcMain"
End Sub
